(function (global, factory) {
	if (typeof define === "function" && define.amd) {
		define('tinyQiniuRequest', ['module', 'tiny-qiniu'], factory);
	} else if (typeof exports !== "undefined") {
		factory(module, require('tiny-qiniu'));
	} else {
		var mod = {
			exports: {}
		};
		factory(mod, global.TinyQiniu);
		global.tinyQiniuRequest = mod.exports;
	}
})(this, function (module, TinyQiniu) {
	'use strict';

	module.exports = function tinyQiniuRequest(qiniuConfig) {
		var tinyQiniu = new TinyQiniu(qiniuConfig);
		return function customRequest(ref) {
			var handleProgress = ref.onProgress;
			var onError = ref.onError;
			var onSuccess = ref.onSuccess;
			var filename = ref.filename;
			var file = ref.file;
			tinyQiniu.uploadFile(file, {
				key: filename,
				onProgress: function (ev) {
					handleProgress({
						percent: ev.loaded / ev.total
					});
				}
			}).then(onSuccess).catch(onError);
		};
	};
});
